Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 21 Oct 2017, 17:50
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Eye Candy
Conky on Slacko 6.3.2 missing lib file (solved)
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
killapup


Joined: 25 Apr 2012
Posts: 76
Location: Warwick, Qld, Australia

PostPosted: Wed 15 Feb 2017, 02:53    Post subject:  Conky on Slacko 6.3.2 missing lib file (solved)
Subject description: libtoluapp.so file missing, can't run conky.
 

G'day all,

it's been a while since I was on this forum but I've run into a problem. I had Slacko 6.3.0 installed and running nicely, until I did some updating using the Updates Manager-latest from Slackware. Since then I haven't been able to boot to the desktop Sad

That being said, I thought it was time to update to 6.3.2 so I installed it and it is fine except that I can't run conky. It says that the libtoluapp.so file is missing and I can't seem to find it.

I installed the tolua++ package, which I believe, has the file in it but, no!! Can anyone help? Thanks,

Ray

_________________
Slacko 6.3.2 on
Asus X54C 4Gb RAM
Also VectorLinux64 plus many others Very Happy

Last edited by killapup on Thu 16 Feb 2017, 08:07; edited 1 time in total
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 76
Location: Warwick, Qld, Australia

PostPosted: Thu 16 Feb 2017, 05:21    Post subject:
Subject description: Looking for...
 

Anyone???

In case you're not sure what I'm wanting... I'm looking for somewhere I can download that file. I've tried searching for any variation; tolua++; libtolua++; .deb file and many others but it seems no-one has it Sad

Can anyone point me to the file or some other solution so that I can run my conky, thanks.

Ray

_________________
Slacko 6.3.2 on
Asus X54C 4Gb RAM
Also VectorLinux64 plus many others Very Happy
Back to top
View user's profile Send private message 
Gobbi

Joined: 09 Mar 2012
Posts: 236

PostPosted: Thu 16 Feb 2017, 05:42    Post subject:  

I found this : https://www.archlinux.org/packages/community/i686/tolua++/download/
I hope it helps ...
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 7775
Location: World_Hub

PostPosted: Thu 16 Feb 2017, 06:16    Post subject:  

There shouldn't be a problem if you grabbed it from the Salix repo.

You grabbed a 14.2 Slack pkg which 6.3.2 doesn't fully support, and the reason for that *extended* dependency.

I'd say lose the build you installed and let PPM handle the rest.

Maybe next time mention where you got the pkg from..

_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 7775
Location: World_Hub

PostPosted: Thu 16 Feb 2017, 07:34    Post subject:  

Then again, having seen Conky in both of Slacko's 14.2 repos, and it's the 64b build you're running, load the devx and 32bit-lib pkgs, then confirm the shortcoming exists.
_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 76
Location: Warwick, Qld, Australia

PostPosted: Thu 16 Feb 2017, 07:52    Post subject:  
Subject description: Thanks heaps
 

Thanks heaps Semme, I didn't realise there were two different packages (in PPM), I've uninstalled the one I had installed and installed the Salix one at your suggestion and it works fine, thanks again!
_________________
Slacko 6.3.2 on
Asus X54C 4Gb RAM
Also VectorLinux64 plus many others Very Happy
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Eye Candy
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 1.6541s ][ Queries: 13 (1.4856s) ][ GZIP on ]